%define         _state          stable
%define		orgname		libkdcraw
%define         qtver           4.8.1

Summary:	KDcraw libary
Summary(pl.UTF-8):	Biblioteka KDcraw
Name:		kde4-libkdcraw
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	ffe5fbd6d21df0d40ad005d1eff0bb50
URL:		http://www.kde.org/
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkdcraw < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDcraw Library is part of the KIPI Project.

%description -l pl.UTF-8
Biblioteka KDcraw jest częścią projektu KIPI.

%package devel
Summary:	Header files for libkdcraw development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkdcraw
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libkdcraw-devel < 4.8.0

%description devel
Header files for libkdcraw development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkdcraw.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
		../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkdcraw.so.??
%attr(755,root,root) %{_libdir}/libkdcraw.so.*.*.*
%{_datadir}/apps/libkdcraw
%{_iconsdir}/hicolor/*x*/apps/kdcraw.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkdcraw.so
%{_includedir}/libkdcraw
%{_pkgconfigdir}/libkdcraw.pc
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkdcraw.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 95d1e7f
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> f65473a
- updated to 4.10.4 (by update-kde4.sh)

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7edf833
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f3cdb5
- up to 4.10.0

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f6ead9f
- up to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> f3c73db
- updated to 4.9.3.

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e0c10f
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> f4742d3
- updated to 4.9.1.

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4600230
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 06ad0f4
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a46845
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e9ba8a
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 91fad9c
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e4ae49
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f6baa4
- now as kde4-libkdcraw

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b09109
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 554661a
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb2d805
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5273b95
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cc11ab8
- more O fixes

